Saltar al contenido

Comentar Imagen

Foto

Error en macro facilita


  • Please log in to reply
1 Respuesta(s) a este Tema

#1
sendadiego

sendadiego

    Experto en AuxCAD

  • Miembros
  • 62 Mensajes
  • Auxis: 2

    Buenso dias amigos,

     

    Tengo un problema que no se como solucionar.

     

    Os cuento, he realizado una macro que me crea un PART y lo introduce en un PRODUCT con exito, el problema es cuando el product no se llama como por defecto que me da error y me imagino que es porque no lo encuentra, lo que necesito es que no discrimine por nombre, si no que independientemente de como se llame me copie el part en el product:

     

     

     

    Set windows1 = CATIA.Windows
     
    windows1.Arrange catArrangeTiledVertical
     
    Set partDocument1 = CATIA.ActiveDocument
     
    Set selection1 = partDocument1.Selection
     
    selection1.Clear 
     
    selection1.Add part1
     
    selection1.Copy 
     
    Set specsAndGeomWindow1 = windows1.Item("Product1") '---aqui el error---
     
    specsAndGeomWindow1.Activate 
     
    Set productDocument1 = CATIA.ActiveDocument
     
    Set selection2 = productDocument1.Selection
     
    selection2.Clear 
     
    Set product1 = productDocument1.Product
     
    selection2.Add product1
     
    selection2.Paste 
     
    Un saludo y gracias de antemano

    • 0

    #2
    Dorian

    Dorian

      Iniciado en AuxCAD

    • Miembros
    • 25 Mensajes
  • Auxis: 5
    • Pais: Country Flag
    Hombre, yo no lo haria asi. Primero con getitem introduciria el objeto Catia en un objeto de tipo INFTIF.application, ese.objeto tiene la coleccion documents donde puedes alcanzar al product y al part como productDocument y partDocument, a partir de ahi, puedes trabajar con ellos como lo harias en Catia.

    Enviado desde mi A19 mediante Tapatalk


    • 0




    0 Usuario(s) están leyendo este Tema

    0 miembro(s), 0 invitado(s), 0 usuario(s) anónimo(s)